### Enumeration

# Ggit RebaseOperationType

#### Declaration

    enum Ggit.RebaseOperationType

#### Description [src]

Type of rebase operation in-progress.

#### Members

`GGIT_REBASE_OPERATION_PICK`

  The given commit is to be cherry-picked. The client should commit the changes and continue if there are no conflicts.

  - Value: `0`
  - Available since: 1.0
`GGIT_REBASE_OPERATION_REWORD`

  The given commit is to be cherry-picked, but the client should prompt the user to provide an updated commit message.

  - Value: `1`
  - Available since: 1.0
`GGIT_REBASE_OPERATION_EDIT`

  The given commit is to be cherry-picked, but the client should stop to allow the user to edit the changes before committing them.

  - Value: `2`
  - Available since: 1.0
`GGIT_REBASE_OPERATION_SQUASH`

  The given commit is to be squashed into the previous commit. The commit message will be merged with the previous message.

  - Value: `3`
  - Available since: 1.0
`GGIT_REBASE_OPERATION_FIXUP`

  The given commit is to be squashed into the previous commit. The commit message from this commit will be discarded.

  - Value: `4`
  - Available since: 1.0
`GGIT_REBASE_OPERATION_EXEC`

  No commit will be cherry-picked. The client should run the given command and (if successful) continue.

  - Value: `5`
  - Available since: 1.0